﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FieldsBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            List<SelectedFile> FileList = new List<SelectedFile>();
            InitializeComponent();
            FileList.Add(new SelectedFile()
                {
                    FileCondition = "Test",
                    FileId = 0,
                    FileName = "Name1",
                    IsEnabled = true,
                    IsSelected =  true
                });
            FileList.Add(new SelectedFile()
            {
                FileCondition = "Test2",
                FileId = 2,
                FileName = "Name2",
                IsEnabled = false,
                IsSelected = false
            });
            FileList.Add(new SelectedFile()
            {
                FileCondition = "Test3",
                FileId = 3,
                FileName = "Name3",
                IsEnabled = false,
                IsSelected = true
            });

            FileGrid.DataContext = FileList;
        }
    }
    public class SelectedFile
    {
        public string FileName { get; set; }
        public int FileId { get; set; }
        public string FileCondition { get; set; }
        public bool IsSelected { get; set; }
        public bool IsEnabled { get; set; }
    }
}
